get.md

Get

Media API · Streaming Policies

GET https://app.mk.io/api/v1/projects/{project_name}/media/streamingPolicies/{policy_name}

Get one Streaming Policy

RBAC Capability Required: ams.streamingpolicy.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes
policy_name string Yes

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/streamingPolicies/{policy_name}" \
  -H "Authorization: Bearer <token>"

Responses

200 — Returns a single Streaming Policy

Example:

{
  "id": "string",
  "name": "name",
  "properties": {
    "catalog": {
      "key": null
    },
    "commonEncryptionCbcs": {
      "clearKeyEncryptionConfiguration": {
        "customKeysAcquisitionUrlTemplate": "string"
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "operation": "Unknown",
              "property": "Unknown",
              "value": "string"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "string",
          "policyName": "string"
        },
        "keyToTrackMappings": [
          {
            "label": "string",
            "policyName": "string",
            "tracks": [
              {
                "trackSelections": [
                  {
                    "operation": "Unknown",
                    "property": "Unknown",
                    "value": "string"
                  }
                ]
              }
            ]
          }
        ]
      },
      "drm": {
        "fairPlay": {
          "allowPersistentLicense": true,
          "customLicenseAcquisitionUrlTemplate": "string"
        },
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "string",
          "playReadyCustomAttributes": "string"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "string"
        }
      },
      "enabledProtocols": {
        "dash": true,
        "download": true,
        "hls": true,
        "smoothStreaming": true
      }
    },
    "commonEncryptionCenc": {
      "clearKeyEncryptionConfiguration": {
        "customKeysAcquisitionUrlTemplate": "string"
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "operation": "Unknown",
              "property": "Unknown",
              "value": "string"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "string",
          "policyName": "string"
        },
        "keyToTrackMappings": [
          {
            "label": "string",
            "policyName": "string",
            "tracks": [
              {
                "trackSelections": [
                  {
                    "operation": "Unknown",
                    "property": "Unknown",
                    "value": "string"
                  }
                ]
              }
            ]
          }
        ]
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "string",
          "playReadyCustomAttributes": "string"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "string"
        }
      },
      "enabledProtocols": {
        "dash": true,
        "download": true,
        "hls": true,
        "smoothStreaming": true
      }
    },
    "defaultContentKeyPolicyName": "string",
    "envelopeEncryption": {
      "clearTracks": [
        {
          "trackSelections": [
            {
              "operation": "Unknown",
              "property": "Unknown",
              "value": "string"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "string",
          "policyName": "string"
        },
        "keyToTrackMappings": [
          {
            "label": "string",
            "policyName": "string",
            "tracks": [
              {
                "trackSelections": [
                  {
                    "operation": "Unknown",
                    "property": "Unknown",
                    "value": "string"
                  }
                ]
              }
            ]
          }
        ]
      },
      "customKeyAcquisitionUrlTemplate": "string",
      "enabledProtocols": {
        "dash": true,
        "download": true,
        "hls": true,
        "smoothStreaming": true
      }
    },
    "noEncryption": {
      "enabledProtocols": {
        "dash": true,
        "download": true,
        "hls": true,
        "smoothStreaming": true
      }
    }
  },
  "systemData": {
    "createdAt": "2024-01-01T00:00:00Z",
    "createdBy": "string",
    "createdByType": "User",
    "internalId": "00000000-0000-0000-0000-000000000000",
    "lastModifiedAt": "2024-01-01T00:00:00Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  },
  "type": "string"
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}